#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	libusb
Version		:	1.0.26
Release		:	14.4.0.0%{?dist}
Summary		:	Linux USB utilities
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/libusb/libusb

Source0		:	%{name}-%{version}.tar.bz2


#-----------------------------------------------------------------------------
Buildrequires	:	eudev
#-----------------------------------------------------------------------------
%description
libusb is a library for USB device access from Linux, macOS, Windows,
OpenBSD/NetBSD and Haiku userspace. It is written in C (Haiku backend
in C++) and licensed under the GNU Lesser General Public License
version 2.1 or, at your option, any later version (see COPYING).

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

sed -i							\
  -e "s/^PROJECT_LOGO/#&/"				\
  doc/doxygen.cfg.in

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
	

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-%{majorver}/%{name}*.h
%{_libdir}/%{name}-%{majorver}.{la,so*}
%{_libdir}/pkgconfig/%{name}-%{majorver}.pc

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
